Subject: Re: SIP question on Redirect server

From: Sean Olson <[email-masked]>
Date: Wed, 7 Jul 1999 19:39:50 -0500 (CDT)

> 
> I have a SIP Redirect server (it is not intended as a proxy server)
> which acts as a registration server also. Should it accept any
> registrations with an action of proxy?
> 
> If YES,
> 
>                 (1) should it proxy any incoming requests for the
> registered client to the addr in the Contact field of the registration?
> OR
If this is not intended to act as a proxy server as well, then this is
inappropriate.

>                 (2) should it redirect any incoming requests for the
> registered client to the sender with Contact header popolated with the
> addr in the Contact field of the registration? OR

This seems like the most appropriate answer. 

>                 (3) should it reject any incoming requests for the
> registered client?
> 

This would make for a less than useful redirect/registration server.

>                 OR
> 
>                 does it not make sense to have solely a SIP Redirect
> server?
> 

I think it makes a great deal of sense to have solely a SIP redirect server
because of the reduced complexity. Not having to proxy requests removes a
great deal of additional logic from the redirect server. (If you further
limit the redirect server to only handle UDP you can create a dirt simple
SIP implementation... now the registrar logic is a different story).

> Vipul
> 
> --
> 
> Vipul J. Patel
> dynamicsoft
> 200 Executive Drive
> West Orange, NJ 07052
> mailto:[email-masked]
> 
> Office:         + 1 732.741.7244
> FAX:            + 1 732.741.4778
> www:            http://www.dynamicsoft.com

-----------------------------------------------------------------
Sean Olson            E-mail: [email-masked]
Ericsson Inc.         Voice: (972) 583-5472 
                      FAX: (972) 669-0154

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 07 Jul 1999 22:40:22 -0400

> > registrations with an action of proxy?

Actually, I think the answer depends a lot on the strength of the action
parameter. If its more of a suggestion, (2) is the right answer, and if
its a requirement, (3) is the right answer. The spec doesn't say
anything about this case. I think its more of a suggestion than anything
else; local server policy should always be able to override it. The
registrar should be sure to return the value it ended up using in the
response.

On a related note, there is definitely an overlap between the action
parameter and what CPL is trying to accomplish. In effect, the action
parameter is a mini-CPL - instructing the server to perform one of the
two following CPL's:

<call>
  <lookup source="registration">
    <success>
      <proxy/>
    </success>
  </lookup>
</call>

OR

<call>
  <lookup source="registration">
    <success>
      <redirect/>
    </success>
  </lookup>
</call>

The result is a nice feature interaction problem when both a CPL and the
action parameter are used. Given that, I wonder if the action parameter
is another item for potential removal at draft, given that CPL should be
going to proposed end of this year. But, if people like it as a useful
but much-simpler-than-CPL solution, it should stay.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       Lucent Technologies
Member of Technical Staff                   101 Crawfords Corner Rd.
High Speed Networks Research                Holmdel, NJ 07733
FAX: (732) 834-5379                         Rm. 4C-526
EMAIL: [email-masked]
URL: http://www.cs.columbia.edu/~jdrosen